
<CsoundSynthesizer>

<CsInstruments>

        sr=44100
        kr=4410
        ksmps = 10
        nchnls = 2

; eq
        instr 1

		klogain		chnget "eq_lowgain"  		;=	0.5	; Low Gain
		kmidgain 	chnget "eq_highgain"		;=	-0.3	; Midrange Gain
		khigain  	chnget "eq_midgain"		;=	0.2	; High Gain
		klofco   	chnget "eq_cutofflow"	 	;=	500; Low frequency cut-off
		khifco   	chnget "eq_cutoffhigh" 	;=	5000; High frequency cut-off

		asig1, asig2 ins													; Read from input channel

		alosig1  butterlp asig1, klofco             				; Low pass filter
		atmpsig1 butterhp asig1, klofco-klofco/4    		; High pass at low frequency cut-off
		amidsig1 butterlp atmpsig1, khifco+khifco/4 	; then low pass at high frequency cut-off
		ahisig1  butterhp asig1, khifco             				; Hi pass filter
		aout1 = klogain*alosig1+kmidgain*amidsig1+khigain*ahisig1  ; Apply gain and reconstruct signal

		alosig2  butterlp asig2, klofco             				; Low pass filter
		atmpsig2 butterhp asig2, klofco-klofco/4    		; High pass at low frequency cut-off
		amidsig2 butterlp atmpsig2, khifco+khifco/4 	; then low pass at high frequency cut-off
		ahisig2  butterhp asig2, khifco             				; Hi pass filter
		aout2 = klogain*alosig2+kmidgain*amidsig2+khigain*ahisig2  ; Apply gain and reconstruct signal

		outs aout1, aout2												; Write to output channel
endin

</CsInstruments>

<CsScore>

i1	0	3600
e

</CsScore>

</CsoundSynthesizer>
